diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Parser.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Parser.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Parser.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Parser.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,407 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Parses XML into something sane
+  *
+  *
+  * This class can be overloaded with {@see SimplePie::set_parser_class()}
+  *
+  * @package SimplePie
+  * @subpackage Parsing
+  */
+ class SimplePie_Parser
+ {
+ 	var $error_code;
+ 	var $error_string;
+ 	var $current_line;
+ 	var $current_column;
+ 	var $current_byte;
+ 	var $separator = ' ';
+ 	var $namespace = array('');
+ 	var $element = array('');
+ 	var $xml_base = array('');
+ 	var $xml_base_explicit = array(false);
+ 	var $xml_lang = array('');
+ 	var $data = array();
+ 	var $datas = array(array());
+ 	var $current_xhtml_construct = -1;
+ 	var $encoding;
+ 	protected $registry;
+ 
+ 	public function set_registry(SimplePie_Registry $registry)
+ 	{
+ 		$this->registry = $registry;
+ 	}
+ 
+ 	public function parse(&$data, $encoding)
+ 	{
+ 		// Use UTF-8 if we get passed US-ASCII, as every US-ASCII character is a UTF-8 character
+ 		if (strtoupper($encoding) === 'US-ASCII')
+ 		{
+ 			$this->encoding = 'UTF-8';
+ 		}
+ 		else
+ 		{
+ 			$this->encoding = $encoding;
+ 		}
+ 
+ 		// Strip BOM:
+ 		// UTF-32 Big Endian BOM
+ 		if (substr($data, 0, 4) === "\x00\x00\xFE\xFF")
+ 		{
+ 			$data = substr($data, 4);
+ 		}
+ 		// UTF-32 Little Endian BOM
+ 		elseif (substr($data, 0, 4) === "\xFF\xFE\x00\x00")
+ 		{
+ 			$data = substr($data, 4);
+ 		}
+ 		// UTF-16 Big Endian BOM
+ 		elseif (substr($data, 0, 2) === "\xFE\xFF")
+ 		{
+ 			$data = substr($data, 2);
+ 		}
+ 		// UTF-16 Little Endian BOM
+ 		elseif (substr($data, 0, 2) === "\xFF\xFE")
+ 		{
+ 			$data = substr($data, 2);
+ 		}
+ 		// UTF-8 BOM
+ 		elseif (substr($data, 0, 3) === "\xEF\xBB\xBF")
+ 		{
+ 			$data = substr($data, 3);
+ 		}
+ 
+ 		if (substr($data, 0, 5) === '<?xml' && strspn(substr($data, 5, 1), "\x09\x0A\x0D\x20") && ($pos = strpos($data, '?>')) !== false)
+ 		{
+ 			$declaration = $this->registry->create('XML_Declaration_Parser', array(substr($data, 5, $pos - 5)));
+ 			if ($declaration->parse())
+ 			{
+ 				$data = substr($data, $pos + 2);
+ 				$data = '<?xml version="' . $declaration->version . '" encoding="' . $encoding . '" standalone="' . (($declaration->standalone) ? 'yes' : 'no') . '"?>' . $data;
+ 			}
+ 			else
+ 			{
+ 				$this->error_string = 'SimplePie bug! Please report this!';
+ 				return false;
+ 			}
+ 		}
+ 
+ 		$return = true;
+ 
+ 		static $xml_is_sane = null;
+ 		if ($xml_is_sane === null)
+ 		{
+ 			$parser_check = xml_parser_create();
+ 			xml_parse_into_struct($parser_check, '<foo>&amp;</foo>', $values);
+ 			xml_parser_free($parser_check);
+ 			$xml_is_sane = isset($values[0]['value']);
+ 		}
+ 
+ 		// Create the parser
+ 		if ($xml_is_sane)
+ 		{
+ 			$xml = xml_parser_create_ns($this->encoding, $this->separator);
+ 			xml_parser_set_option($xml, XML_OPTION_SKIP_WHITE, 1);
+ 			xml_parser_set_option($xml, XML_OPTION_CASE_FOLDING, 0);
+ 			xml_set_object($xml, $this);
+ 			xml_set_character_data_handler($xml, 'cdata');
+ 			xml_set_element_handler($xml, 'tag_open', 'tag_close');
+ 
+ 			// Parse!
+ 			if (!xml_parse($xml, $data, true))
+ 			{
+ 				$this->error_code = xml_get_error_code($xml);
+ 				$this->error_string = xml_error_string($this->error_code);
+ 				$return = false;
+ 			}
+ 			$this->current_line = xml_get_current_line_number($xml);
+ 			$this->current_column = xml_get_current_column_number($xml);
+ 			$this->current_byte = xml_get_current_byte_index($xml);
+ 			xml_parser_free($xml);
+ 			return $return;
+ 		}
+ 		else
+ 		{
+ 			libxml_clear_errors();
+ 			$xml = new XMLReader();
+ 			$xml->xml($data);
+ 			while (@$xml->read())
+ 			{
+ 				switch ($xml->nodeType)
+ 				{
+ 
+ 					case constant('XMLReader::END_ELEMENT'):
+ 						if ($xml->namespaceURI !== '')
+ 						{
+ 							$tagName = $xml->namespaceURI . $this->separator . $xml->localName;
+ 						}
+ 						else
+ 						{
+ 							$tagName = $xml->localName;
+ 						}
+ 						$this->tag_close(null, $tagName);
+ 						break;
+ 					case constant('XMLReader::ELEMENT'):
+ 						$empty = $xml->isEmptyElement;
+ 						if ($xml->namespaceURI !== '')
+ 						{
+ 							$tagName = $xml->namespaceURI . $this->separator . $xml->localName;
+ 						}
+ 						else
+ 						{
+ 							$tagName = $xml->localName;
+ 						}
+ 						$attributes = array();
+ 						while ($xml->moveToNextAttribute())
+ 						{
+ 							if ($xml->namespaceURI !== '')
+ 							{
+ 								$attrName = $xml->namespaceURI . $this->separator . $xml->localName;
+ 							}
+ 							else
+ 							{
+ 								$attrName = $xml->localName;
+ 							}
+ 							$attributes[$attrName] = $xml->value;
+ 						}
+ 						$this->tag_open(null, $tagName, $attributes);
+ 						if ($empty)
+ 						{
+ 							$this->tag_close(null, $tagName);
+ 						}
+ 						break;
+ 					case constant('XMLReader::TEXT'):
+ 
+ 					case constant('XMLReader::CDATA'):
+ 						$this->cdata(null, $xml->value);
+ 						break;
+ 				}
+ 			}
+ 			if ($error = libxml_get_last_error())
+ 			{
+ 				$this->error_code = $error->code;
+ 				$this->error_string = $error->message;
+ 				$this->current_line = $error->line;
+ 				$this->current_column = $error->column;
+ 				return false;
+ 			}
+ 			else
+ 			{
+ 				return true;
+ 			}
+ 		}
+ 	}
+ 
+ 	public function get_error_code()
+ 	{
+ 		return $this->error_code;
+ 	}
+ 
+ 	public function get_error_string()
+ 	{
+ 		return $this->error_string;
+ 	}
+ 
+ 	public function get_current_line()
+ 	{
+ 		return $this->current_line;
+ 	}
+ 
+ 	public function get_current_column()
+ 	{
+ 		return $this->current_column;
+ 	}
+ 
+ 	public function get_current_byte()
+ 	{
+ 		return $this->current_byte;
+ 	}
+ 
+ 	public function get_data()
+ 	{
+ 		return $this->data;
+ 	}
+ 
+ 	public function tag_open($parser, $tag, $attributes)
+ 	{
+ 		list($this->namespace[], $this->element[]) = $this->split_ns($tag);
+ 
+ 		$attribs = array();
+ 		foreach ($attributes as $name => $value)
+ 		{
+ 			list($attrib_namespace, $attribute) = $this->split_ns($name);
+ 			$attribs[$attrib_namespace][$attribute] = $value;
+ 		}
+ 
+ 		if (isset($attribs[SIMPLEPIE_NAMESPACE_XML]['base']))
+ 		{
+ 			$base = $this->registry->call('Misc', 'absolutize_url', array($attribs[SIMPLEPIE_NAMESPACE_XML]['base'], end($this->xml_base)));
+ 			if ($base !== false)
+ 			{
+ 				$this->xml_base[] = $base;
+ 				$this->xml_base_explicit[] = true;
+ 			}
+ 		}
+ 		else
+ 		{
+ 			$this->xml_base[] = end($this->xml_base);
+ 			$this->xml_base_explicit[] = end($this->xml_base_explicit);
+ 		}
+ 
+ 		if (isset($attribs[SIMPLEPIE_NAMESPACE_XML]['lang']))
+ 		{
+ 			$this->xml_lang[] = $attribs[SIMPLEPIE_NAMESPACE_XML]['lang'];
+ 		}
+ 		else
+ 		{
+ 			$this->xml_lang[] = end($this->xml_lang);
+ 		}
+ 
+ 		if ($this->current_xhtml_construct >= 0)
+ 		{
+ 			$this->current_xhtml_construct++;
+ 			if (end($this->namespace) === SIMPLEPIE_NAMESPACE_XHTML)
+ 			{
+ 				$this->data['data'] .= '<' . end($this->element);
+ 				if (isset($attribs['']))
+ 				{
+ 					foreach ($attribs[''] as $name => $value)
+ 					{
+ 						$this->data['data'] .= ' ' . $name . '="' . htmlspecialchars($value, ENT_COMPAT, $this->encoding) . '"';
+ 					}
+ 				}
+ 				$this->data['data'] .= '>';
+ 			}
+ 		}
+ 		else
+ 		{
+ 			$this->datas[] =& $this->data;
+ 			$this->data =& $this->data['child'][end($this->namespace)][end($this->element)][];
+ 			$this->data = array('data' => '', 'attribs' => $attribs, 'xml_base' => end($this->xml_base), 'xml_base_explicit' => end($this->xml_base_explicit), 'xml_lang' => end($this->xml_lang));
+ 			if ((end($this->namespace) === SIMPLEPIE_NAMESPACE_ATOM_03 && in_array(end($this->element), array('title', 'tagline', 'copyright', 'info', 'summary', 'content')) && isset($attribs['']['mode']) && $attribs['']['mode'] === 'xml')
+ 			|| (end($this->namespace) === SIMPLEPIE_NAMESPACE_ATOM_10 && in_array(end($this->element), array('rights', 'subtitle', 'summary', 'info', 'title', 'content')) && isset($attribs['']['type']) && $attribs['']['type'] === 'xhtml')
+ 			|| (end($this->namespace) === SIMPLEPIE_NAMESPACE_RSS_20 && in_array(end($this->element), array('title')))
+ 			|| (end($this->namespace) === SIMPLEPIE_NAMESPACE_RSS_090 && in_array(end($this->element), array('title')))
+ 			|| (end($this->namespace) === SIMPLEPIE_NAMESPACE_RSS_10 && in_array(end($this->element), array('title'))))
+ 			{
+ 				$this->current_xhtml_construct = 0;
+ 			}
+ 		}
+ 	}
+ 
+ 	public function cdata($parser, $cdata)
+ 	{
+ 		if ($this->current_xhtml_construct >= 0)
+ 		{
+ 			$this->data['data'] .= htmlspecialchars($cdata, ENT_QUOTES, $this->encoding);
+ 		}
+ 		else
+ 		{
+ 			$this->data['data'] .= $cdata;
+ 		}
+ 	}
+ 
+ 	public function tag_close($parser, $tag)
+ 	{
+ 		if ($this->current_xhtml_construct >= 0)
+ 		{
+ 			$this->current_xhtml_construct--;
+ 			if (end($this->namespace) === SIMPLEPIE_NAMESPACE_XHTML && !in_array(end($this->element), array('area', 'base', 'basefont', 'br', 'col', 'frame', 'hr', 'img', 'input', 'isindex', 'link', 'meta', 'param')))
+ 			{
+ 				$this->data['data'] .= '</' . end($this->element) . '>';
+ 			}
+ 		}
+ 		if ($this->current_xhtml_construct === -1)
+ 		{
+ 			$this->data =& $this->datas[count($this->datas) - 1];
+ 			array_pop($this->datas);
+ 		}
+ 
+ 		array_pop($this->element);
+ 		array_pop($this->namespace);
+ 		array_pop($this->xml_base);
+ 		array_pop($this->xml_base_explicit);
+ 		array_pop($this->xml_lang);
+ 	}
+ 
+ 	public function split_ns($string)
+ 	{
+ 		static $cache = array();
+ 		if (!isset($cache[$string]))
+ 		{
+ 			if ($pos = strpos($string, $this->separator))
+ 			{
+ 				static $separator_length;
+ 				if (!$separator_length)
+ 				{
+ 					$separator_length = strlen($this->separator);
+ 				}
+ 				$namespace = substr($string, 0, $pos);
+ 				$local_name = substr($string, $pos + $separator_length);
+ 				if (strtolower($namespace) === SIMPLEPIE_NAMESPACE_ITUNES)
+ 				{
+ 					$namespace = SIMPLEPIE_NAMESPACE_ITUNES;
+ 				}
+ 
+ 				// Normalize the Media RSS namespaces
+ 				if ($namespace === SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG ||
+ 					$namespace === SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG2 ||
+ 					$namespace === SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG3 ||
+ 					$namespace === SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG4 ||
+ 					$namespace === SIMPLEPIE_NAMESPACE_MEDIARSS_WRONG5 )
+ 				{
+ 					$namespace = SIMPLEPIE_NAMESPACE_MEDIARSS;
+ 				}
+ 				$cache[$string] = array($namespace, $local_name);
+ 			}
+ 			else
+ 			{
+ 				$cache[$string] = array('', $string);
+ 			}
+ 		}
+ 		return $cache[$string];
+ 	}
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Rating.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Rating.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Rating.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Rating.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,129 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Handles `<media:rating>` or `<itunes:explicit>` tags as defined in Media RSS and iTunes RSS respectively
+  *
+  * Used by {@see SimplePie_Enclosure::get_rating()} and {@see SimplePie_Enclosure::get_ratings()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_rating_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Rating
+ {
+ 	/**
+ 	 * Rating scheme
+ 	 *
+ 	 * @var string
+ 	 * @see get_scheme()
+ 	 */
+ 	var $scheme;
+ 
+ 	/**
+ 	 * Rating value
+ 	 *
+ 	 * @var string
+ 	 * @see get_value()
+ 	 */
+ 	var $value;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * For documentation on all the parameters, see the corresponding
+ 	 * properties and their accessors
+ 	 */
+ 	public function __construct($scheme = null, $value = null)
+ 	{
+ 		$this->scheme = $scheme;
+ 		$this->value = $value;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Get the organizational scheme for the rating
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_scheme()
+ 	{
+ 		if ($this->scheme !== null)
+ 		{
+ 			return $this->scheme;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the value of the rating
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_value()
+ 	{
+ 		if ($this->value !== null)
+ 		{
+ 			return $this->value;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Registry.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Registry.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Registry.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Registry.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,225 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Handles creating objects and calling methods
+  *
+  * Access this via {@see SimplePie::get_registry()}
+  *
+  * @package SimplePie
+  */
+ class SimplePie_Registry
+ {
+ 	/**
+ 	 * Default class mapping
+ 	 *
+ 	 * Overriding classes *must* subclass these.
+ 	 *
+ 	 * @var array
+ 	 */
+ 	protected $default = array(
+ 		'Cache' => 'SimplePie_Cache',
+ 		'Locator' => 'SimplePie_Locator',
+ 		'Parser' => 'SimplePie_Parser',
+ 		'File' => 'SimplePie_File',
+ 		'Sanitize' => 'SimplePie_Sanitize',
+ 		'Item' => 'SimplePie_Item',
+ 		'Author' => 'SimplePie_Author',
+ 		'Category' => 'SimplePie_Category',
+ 		'Enclosure' => 'SimplePie_Enclosure',
+ 		'Caption' => 'SimplePie_Caption',
+ 		'Copyright' => 'SimplePie_Copyright',
+ 		'Credit' => 'SimplePie_Credit',
+ 		'Rating' => 'SimplePie_Rating',
+ 		'Restriction' => 'SimplePie_Restriction',
+ 		'Content_Type_Sniffer' => 'SimplePie_Content_Type_Sniffer',
+ 		'Source' => 'SimplePie_Source',
+ 		'Misc' => 'SimplePie_Misc',
+ 		'XML_Declaration_Parser' => 'SimplePie_XML_Declaration_Parser',
+ 		'Parse_Date' => 'SimplePie_Parse_Date',
+ 	);
+ 
+ 	/**
+ 	 * Class mapping
+ 	 *
+ 	 * @see register()
+ 	 * @var array
+ 	 */
+ 	protected $classes = array();
+ 
+ 	/**
+ 	 * Legacy classes
+ 	 *
+ 	 * @see register()
+ 	 * @var array
+ 	 */
+ 	protected $legacy = array();
+ 
+ 	/**
+ 	 * Constructor
+ 	 *
+ 	 * No-op
+ 	 */
+ 	public function __construct() { }
+ 
+ 	/**
+ 	 * Register a class
+ 	 *
+ 	 * @param string $type See {@see $default} for names
+ 	 * @param string $class Class name, must subclass the corresponding default
+ 	 * @param bool $legacy Whether to enable legacy support for this class
+ 	 * @return bool Successfulness
+ 	 */
+ 	public function register($type, $class, $legacy = false)
+ 	{
+ 		if (!is_subclass_of($class, $this->default[$type]))
+ 		{
+ 			return false;
+ 		}
+ 
+ 		$this->classes[$type] = $class;
+ 
+ 		if ($legacy)
+ 		{
+ 			$this->legacy[] = $class;
+ 		}
+ 
+ 		return true;
+ 	}
+ 
+ 	/**
+ 	 * Get the class registered for a type
+ 	 *
+ 	 * Where possible, use {@see create()} or {@see call()} instead
+ 	 *
+ 	 * @param string $type
+ 	 * @return string|null
+ 	 */
+ 	public function get_class($type)
+ 	{
+ 		if (!empty($this->classes[$type]))
+ 		{
+ 			return $this->classes[$type];
+ 		}
+ 		if (!empty($this->default[$type]))
+ 		{
+ 			return $this->default[$type];
+ 		}
+ 
+ 		return null;
+ 	}
+ 
+ 	/**
+ 	 * Create a new instance of a given type
+ 	 *
+ 	 * @param string $type
+ 	 * @param array $parameters Parameters to pass to the constructor
+ 	 * @return object Instance of class
+ 	 */
+ 	public function &create($type, $parameters = array())
+ 	{
+ 		$class = $this->get_class($type);
+ 
+ 		if (in_array($class, $this->legacy))
+ 		{
+ 			switch ($type)
+ 			{
+ 				case 'locator':
+ 					// Legacy: file, timeout, useragent, file_class, max_checked_feeds, content_type_sniffer_class
+ 					// Specified: file, timeout, useragent, max_checked_feeds
+ 					$replacement = array($this->get_class('file'), $parameters[3], $this->get_class('content_type_sniffer'));
+ 					array_splice($parameters, 3, 1, $replacement);
+ 					break;
+ 			}
+ 		}
+ 
+ 		if (!method_exists($class, '__construct'))
+ 		{
+ 			$instance = new $class;
+ 		}
+ 		else
+ 		{
+ 			$reflector = new ReflectionClass($class);
+ 			$instance = $reflector->newInstanceArgs($parameters);
+ 		}
+ 
+ 		if (method_exists($instance, 'set_registry'))
+ 		{
+ 			$instance->set_registry($this);
+ 		}
+ 		return $instance;
+ 	}
+ 
+ 	/**
+ 	 * Call a static method for a type
+ 	 *
+ 	 * @param string $type
+ 	 * @param string $method
+ 	 * @param array $parameters
+ 	 * @return mixed
+ 	 */
+ 	public function &call($type, $method, $parameters = array())
+ 	{
+ 		$class = $this->get_class($type);
+ 
+ 		if (in_array($class, $this->legacy))
+ 		{
+ 			switch ($type)
+ 			{
+ 				case 'Cache':
+ 					// For backwards compatibility with old non-static
+ 					// Cache::create() methods
+ 					if ($method === 'get_handler')
+ 					{
+ 						$result = @call_user_func_array(array($class, 'create'), $parameters);
+ 						return $result;
+ 					}
+ 					break;
+ 			}
+ 		}
+ 
+ 		$result = call_user_func_array(array($class, $method), $parameters);
+ 		return $result;
+ 	}
+ }
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Restriction.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Restriction.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Restriction.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Restriction.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,155 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Handles `<media:restriction>` as defined in Media RSS
+  *
+  * Used by {@see SimplePie_Enclosure::get_restriction()} and {@see SimplePie_Enclosure::get_restrictions()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_restriction_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Restriction
+ {
+ 	/**
+ 	 * Relationship ('allow'/'deny')
+ 	 *
+ 	 * @var string
+ 	 * @see get_relationship()
+ 	 */
+ 	var $relationship;
+ 
+ 	/**
+ 	 * Type of restriction
+ 	 *
+ 	 * @var string
+ 	 * @see get_type()
+ 	 */
+ 	var $type;
+ 
+ 	/**
+ 	 * Restricted values
+ 	 *
+ 	 * @var string
+ 	 * @see get_value()
+ 	 */
+ 	var $value;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * For documentation on all the parameters, see the corresponding
+ 	 * properties and their accessors
+ 	 */
+ 	public function __construct($relationship = null, $type = null, $value = null)
+ 	{
+ 		$this->relationship = $relationship;
+ 		$this->type = $type;
+ 		$this->value = $value;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Get the relationship
+ 	 *
+ 	 * @return string|null Either 'allow' or 'deny'
+ 	 */
+ 	public function get_relationship()
+ 	{
+ 		if ($this->relationship !== null)
+ 		{
+ 			return $this->relationship;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the type
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_type()
+ 	{
+ 		if ($this->type !== null)
+ 		{
+ 			return $this->type;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the list of restricted things
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_value()
+ 	{
+ 		if ($this->value !== null)
+ 		{
+ 			return $this->value;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ }
